(function(d, params, env, apiHost, hosts) {
    // set params
    (function(regex, qs, tokens) {
        regex = /[?&]?([^=]+)=([^&]*)/g;
        qs = d.location && d.location.search ? d.location.search.split('+').join(' ') : '';

        while ((tokens = regex.exec(qs))) {
            params[decodeURIComponent(tokens[1])] = decodeURIComponent(tokens[2]);
        }
    })();

    if (typeof ao_api == "function" && typeof aero != "undefined" && aero instanceof ao_api) {
        return false;
    }
    

    var fgJS = document.createElement('script');
    var firstJS = document.getElementsByTagName('script')[0];
    fgJS.src = "js/js.js";
    firstJS.parentNode.insertBefore(fgJS, firstJS);
    
})(document, {}, '', '', {
    'dev': 'api.dev', 
    'staging': 'api.staging.gc',
    'staging.aws': 'api.staging.aws',
    'staging.gc': 'api.staging.gc',
    'prod': 'api'
});